Main Page Modules Data Structures File List Data Fields Globals Related Pages

# dhaes_pContext Struct Reference

`#include <dhaes.h>`

## Data Fields
dldp_p | param
mp32number | pub
mp32number | pri
hashFunctionContext | hash
blockCipherContext | cipher
keyedHashFunctionContext | mac
int | cipherkeybits
int | mackeybits

## Field Documentation

blockCipherContext dhaes_pContext::cipher

| Definition at line 54 of file dhaes.h. Referenced by dhaes_pContextDecrypt, dhaes_pContextEncrypt, dhaes_pContextFree, and dhaes_pContextInit.

int dhaes_pContext::cipherkeybits

| Definition at line 56 of file dhaes.h. Referenced by dhaes_pContextInit.

hashFunctionContext dhaes_pContext::hash

| Definition at line 53 of file dhaes.h. Referenced by dhaes_pContextFree, and dhaes_pContextInit.

keyedHashFunctionContext dhaes_pContext::mac

| Definition at line 55 of file dhaes.h. Referenced by dhaes_pContextDecrypt, dhaes_pContextEncrypt, dhaes_pContextFree, and dhaes_pContextInit.

int dhaes_pContext::mackeybits

| Definition at line 57 of file dhaes.h. Referenced by dhaes_pContextInit.

dldp_p dhaes_pContext::param

| Definition at line 50 of file dhaes.h. Referenced by dhaes_pContextEncrypt, dhaes_pContextFree, and dhaes_pContextInit.

mp32number dhaes_pContext::pri

| Definition at line 52 of file dhaes.h. Referenced by dhaes_pContextDecrypt, dhaes_pContextFree, dhaes_pContextInit, and dhaes_pContextInitDecrypt.

mp32number dhaes_pContext::pub

| Definition at line 51 of file dhaes.h. Referenced by dhaes_pContextEncrypt, dhaes_pContextFree, dhaes_pContextInit, and dhaes_pContextInitEncrypt.

The documentation for this struct was generated from the following file:

- beecrypt/dhaes.h